version: 0.2
phases:
  install:
    runtime-versions:
      python: 3.10
    commands:
      - echo "Installing dependencies"
      - pip install -r requirements.txt
  build:
    commands:
      - echo "Build phase - No compilation required for Python"
  post_build:
    commands:
      - echo "Zipping the package"
      - zip -r app.zip . 
artifacts:
  files:
    - app.zip
    - appspec.yml
    - deploy.sh

